Name:           me-tv
Version:        1.0.0
Release:        1%{?dist}.0.1sal
Summary:        GNOME desktop application for watching digital television

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://launchpad.net/me-tv
Source0:        http://edge.launchpad.net/me-tv/stable/1.0.0/+download/%{name}-%{version}.tar.gz
Patch0:         me-tv-0.9.4-compile.patch
Patch1:         me-tv-duplicates.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: sqlite-devel 
BuildRequires: libgnomemm26-devel 
BuildRequires: libgnomeuimm26-devel
BuildRequires: gnet2-devel
BuildRequires: gconfmm26-devel
BuildRequires: gconfmm26-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: xine-lib-devel >= 1.1.7
BuildRequires: ffmpeg-devel

Requires:      xine-ui


%description
Me TV is a GNOME desktop application for watching digital television services
that use the DVB standard. Me TV works with DVB-T, DVB-C, DVB-S and ATSC cards
that have kernel driver support. Me TV reads the Electronic Program Guide (EPG) 
data that is transmitted over the air to populate a built-in program guide 
which can be used for scheduling recordings. 


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .compile
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_mandir}/man*/*


%changelog
* Sun Aug 09 2009 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.0.0-0.1.beta4
- update to latest beta

* Fri Jun 29 2009 Zarko <zarko.pintar@gmail.com> - 0.9.4-1
- new release

* Fri May 22 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-5
- added BR:gail-devel for build resolving on F9

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-4
- spec cleaning
- license resolved

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-3
- added Requires: xine-ui

* Fri May 15 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-2
- patch for successful compile
- spec cleaning

* Thu May 14 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-1
- initial release
